Get enrich stats

  • GET /_enrich/_stats
Auth

Returns enrich coordinator statistics and information about enrich policies that are currently executing.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node.

Values: -1 0

Response

application/json
coordinator_stats object[] required

Objects containing information about each coordinating ingest node for configured enrich processors.

executed_searches_total number required
node_id string required
queue_size number required
remote_requests_current number required
remote_requests_total number required
executing_policies object[] required

Objects containing information about each enrich policy that is currently executing.

name string required
task object required
action string required
cancelled boolean
cancellable boolean required
description string

Human readable text that identifies the particular request that the task is performing. For example, it might identify the search request being performed by a search task. Other kinds of tasks have different descriptions, like _reindex which has the source and the destination, or _bulk which just has the number of requests and the destination indices. Many requests will have only an empty description because more detailed information about the request is not easily available or particularly helpful in identifying the request.

headers map string to string required
id number required
node string required
running_time union oneOf
Values: -1 0
running_time_in_nanos number required
start_time_in_millis number required
status object

The internal status of the task, which varies from task to task. The format also varies. While the goal is to keep the status for a particular task consistent from version to version, this is not always possible because sometimes the implementation changes. Fields might be removed from the status for a particular request so any parsing you do of the status might break in minor releases.

type string required
parent_task_id number | string